jp.cssj.cti2.helpers

## Class CTISessionHelper

- java.lang.Object
- - jp.cssj.cti2.helpers.CTISessionHelper

-     public final class CTISessionHelper
      extends Object

  クライアント側のファイル、URL、ストリームを送るためのユーティリティです。
  Version:
    $Id: CTISessionHelper.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `properties(CTISession session, Properties props)` プロパティをまとめて設定します。
    `static void` | `sendResourceDir(CTISession session, File dir, String mimeType, String encoding)` リソースとして、ディレクトリ内のファイルを全て送信します。 このメソッドは子ディレクトリも再帰的に処理します。
    `static void` | `sendResourceFile(CTISession session, File file, String mimeType, String encoding)` リソースとしてファイルを送信します。
    `static void` | `sendResourceStream(CTISession session, InputStream in, URI uri, String mimeType, String encoding)` リソースとしてストリームから取り出されるデータを送信します。
    `static void` | `sendResourceURL(CTISession session, URL url, String mimeType, String encoding)` リソースとしてURLを送信します。
    `static void` | `setResultFile(CTISession session, File file)` 出力先ファイルを設定します。
    `static void` | `setResultStream(CTISession session, OutputStream out)` 出力先ストリームを設定します。
    `static void` | `transcodeFile(CTISession session, File file, String mimeType, String encoding)` 本体としてファイルを送信します。
    `static void` | `transcodeStream(CTISession session, InputStream in, URI uri, String mimeType, String encoding)` 本体としてストリームから取り出されるデータを送信します。
    `static void` | `transcodeURL(CTISession session, URL url, String mimeType, String encoding)` 本体としてURLを送信します。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setResultFile

          public static void setResultFile(CTISession session,
                                           File file)
                                    throws IOException

      出力先ファイルを設定します。
      Parameters:
        `session` -
        `file` -
      Throws:
        `IOException`

    - #### setResultStream

          public static void setResultStream(CTISession session,
                                             OutputStream out)
                                      throws IOException

      出力先ストリームを設定します。
      Parameters:
        `session` -
        `out` -
      Throws:
        `IOException`

    - #### properties

          public static void properties(CTISession session,
                                        Properties props)
                                 throws IOException

      プロパティをまとめて設定します。
      Parameters:
        `session` -
        `props` -
      Throws:
        `IOException`

    - #### sendResourceFile

          public static void sendResourceFile(CTISession session,
                                              File file,
                                              String mimeType,
                                              String encoding)
                                       throws IOException

      リソースとしてファイルを送信します。
      Parameters:
        `session` - セッション
        `file` - ファイル
        `mimeType` - MIME型(省略する場合はnull)
        `encoding` - エンコーディング(省略する場合はnull)
      Throws:
        `IOException`

    - #### sendResourceURL

          public static void sendResourceURL(CTISession session,
                                             URL url,
                                             String mimeType,
                                             String encoding)
                                      throws IOException

      リソースとしてURLを送信します。
      Parameters:
        `session` - セッション
        `url` - URL
        `mimeType` - MIME型(省略する場合はnull)
        `encoding` - エンコーディング(省略する場合はnull)
      Throws:
        `IOException`

    - #### sendResourceStream

          public static void sendResourceStream(CTISession session,
                                                InputStream in,
                                                URI uri,
                                                String mimeType,
                                                String encoding)
                                         throws IOException

      リソースとしてストリームから取り出されるデータを送信します。
      Parameters:
        `session` - セッション
        `in` - 入力ストリーム
        `mimeType` - MIME型(省略する場合はnull)
        `encoding` - エンコーディング(省略する場合はnull)
      Throws:
        `IOException`

    - #### sendResourceDir

          public static void sendResourceDir(CTISession session,
                                             File dir,
                                             String mimeType,
                                             String encoding)
                                      throws IOException

      リソースとして、ディレクトリ内のファイルを全て送信します。 このメソッドは子ディレクトリも再帰的に処理します。
      Parameters:
        `session` - セッション
        `dir` - ディレクトリ
        `mimeType` - MIME型(省略する場合はnull)
        `encoding` - エンコーディング(省略する場合はnull)
      Throws:
        `IOException`

    - #### transcodeFile

          public static void transcodeFile(CTISession session,
                                           File file,
                                           String mimeType,
                                           String encoding)
                                    throws IOException,
                                           TranscoderException

      本体としてファイルを送信します。
      Parameters:
        `session` - セッション
        `file` - ファイル
        `mimeType` - MIME型(省略する場合はnull)
        `encoding` - エンコーディング(省略する場合はnull)
      Throws:
        `IOException`
        `TranscoderException`

    - #### transcodeURL

          public static void transcodeURL(CTISession session,
                                          URL url,
                                          String mimeType,
                                          String encoding)
                                   throws IOException,
                                          TranscoderException

      本体としてURLを送信します。
      Parameters:
        `session` - セッション
        `url` - URL
        `mimeType` - MIME型(省略する場合はnull)
        `encoding` - エンコーディング(省略する場合はnull)
      Throws:
        `IOException`
        `TranscoderException`

    - #### transcodeStream

          public static void transcodeStream(CTISession session,
                                             InputStream in,
                                             URI uri,
                                             String mimeType,
                                             String encoding)
                                      throws IOException,
                                             TranscoderException

      本体としてストリームから取り出されるデータを送信します。
      Parameters:
        `session` - セッション
        `in` - 入力ストリーム
        `mimeType` - MIME型(省略する場合はnull)
        `encoding` - エンコーディング(省略する場合はnull)
      Throws:
        `IOException`
        `TranscoderException`

Copyright © 2018 座間ソフト. All rights reserved.